# Credentials ## List Credentials - [GET /v1/credentials/{ownerId}](https://docs.synqly.com/api-reference/management/credentials/credentials_list.md): Returns a list of all Credential objects belonging to the Account, Integration, or IntegrationPoint, or OrganizationWebhook matching {ownerId}. Operation ID: credentials_list ## Create Credential - [POST /v1/credentials/{ownerId}](https://docs.synqly.com/api-reference/management/credentials/credentials_create.md): Creates a Credential object in the Account, IntegrationPoint, or OrganizationWebhook matching matching {ownerId}. A Credential may only by used by a single Account, Integration, IntegrationPoint or OrganizationWebhook; however, Credential objects can be shared by multiple Integrations within an Account. Operation ID: credentials_create ## Get Credential - [GET /v1/credentials/{ownerId}/{credentialId}](https://docs.synqly.com/api-reference/management/credentials/credentials_get.md): Returns the Credential object matching {credentialId} where the Credential belongs to the Account, Integration, IntegrationPoint or OrganizationWebhook matching {ownerId}. Operation ID: credentials_get ## Update Credential - [PUT /v1/credentials/{ownerId}/{credentialId}](https://docs.synqly.com/api-reference/management/credentials/credentials_update.md): Updates the Credential object matching {credentialId}, where the Credential belongs to the Account, Integration, IntegrationPoint or OrganizationWebhook matching {ownerId}. Operation ID: credentials_update ## Patch Credential - [PATCH /v1/credentials/{ownerId}/{credentialId}](https://docs.synqly.com/api-reference/management/credentials/credentials_patch.md): Patches the Credential object matching {credentialId}, where the Credential belongs to the Account, Integration, IntegrationPoint or OrganizationWebhook matching {ownerId}. Operation ID: credentials_patch ## Delete Credential - [DELETE /v1/credentials/{ownerId}/{credentialId}](https://docs.synqly.com/api-reference/management/credentials/credentials_delete.md): Deletes the Credential object matching {credentialId}, where the Credential belongs to the Account, Integration, IntegrationPoint or OrganizationWebhook matching {ownerId}. Operation ID: credentials_delete ## Lookup Credential - [GET /v1/credentials/lookup/{credentialId}](https://docs.synqly.com/api-reference/management/credentials/credentials_lookup.md): Returns the Credential object matching {credentialId}. Operation ID: credentials_lookup